Package org.kapott.hbci.sepa.jaxb.camt_052_001_04

## Class RemittanceLocation2

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_04.RemittanceLocation2

    public class RemittanceLocation2
    extends java.lang.Object

Java class for RemittanceLocation2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RemittanceLocation2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="RmtId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max35Text" minOccurs="0"/>
             <element name="RmtLctnMtd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}RemittanceLocationMethod2Code" minOccurs="0"/>
             <element name="RmtLctnElctrncAdr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max2048Text" minOccurs="0"/>
             <element name="RmtLctnPstlAdr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}NameAndAddress10" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `rmtId`
`protected java.lang.String` `rmtLctnElctrncAdr`
`protected RemittanceLocationMethod2Code` `rmtLctnMtd`
`protected NameAndAddress10` `rmtLctnPstlAdr`

### Constructor Summary

Constructors
`RemittanceLocation2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getRmtId()` Gets the value of the rmtId property.
`java.lang.String` `getRmtLctnElctrncAdr()` Gets the value of the rmtLctnElctrncAdr property.
`RemittanceLocationMethod2Code` `getRmtLctnMtd()` Gets the value of the rmtLctnMtd property.
`NameAndAddress10` `getRmtLctnPstlAdr()` Gets the value of the rmtLctnPstlAdr property.
`void` `setRmtId​(java.lang.String value)` Sets the value of the rmtId property.
`void` `setRmtLctnElctrncAdr​(java.lang.String value)` Sets the value of the rmtLctnElctrncAdr property.
`void` `setRmtLctnMtd​(RemittanceLocationMethod2Code value)` Sets the value of the rmtLctnMtd property.
`void` `setRmtLctnPstlAdr​(NameAndAddress10 value)` Sets the value of the rmtLctnPstlAdr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rmtId

    protected java.lang.String rmtId

#### rmtLctnMtd

    protected RemittanceLocationMethod2Code rmtLctnMtd

#### rmtLctnElctrncAdr

    protected java.lang.String rmtLctnElctrncAdr

#### rmtLctnPstlAdr

    protected NameAndAddress10 rmtLctnPstlAdr

### Constructor Detail

#### RemittanceLocation2

    public RemittanceLocation2()

### Method Detail

#### getRmtId

    public java.lang.String getRmtId()

Gets the value of the rmtId property.

Returns:
  possible object is `String`

#### setRmtId

    public void setRmtId​(java.lang.String value)

Sets the value of the rmtId property.

Parameters:
  `value` - allowed object is `String`

#### getRmtLctnMtd

    public RemittanceLocationMethod2Code getRmtLctnMtd()

Gets the value of the rmtLctnMtd property.

Returns:
  possible object is `RemittanceLocationMethod2Code`

#### setRmtLctnMtd

    public void setRmtLctnMtd​(RemittanceLocationMethod2Code value)

Sets the value of the rmtLctnMtd property.

Parameters:
  `value` - allowed object is `RemittanceLocationMethod2Code`

#### getRmtLctnElctrncAdr

    public java.lang.String getRmtLctnElctrncAdr()

Gets the value of the rmtLctnElctrncAdr property.

Returns:
  possible object is `String`

#### setRmtLctnElctrncAdr

    public void setRmtLctnElctrncAdr​(java.lang.String value)

Sets the value of the rmtLctnElctrncAdr property.

Parameters:
  `value` - allowed object is `String`

#### getRmtLctnPstlAdr

    public NameAndAddress10 getRmtLctnPstlAdr()

Gets the value of the rmtLctnPstlAdr property.

Returns:
  possible object is `NameAndAddress10`

#### setRmtLctnPstlAdr

    public void setRmtLctnPstlAdr​(NameAndAddress10 value)

Sets the value of the rmtLctnPstlAdr property.

Parameters:
  `value` - allowed object is `NameAndAddress10`